
Figure - Bug #117563
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】微信，点击输入框，出现的”粘贴、全屏输入等功能“显示在屏幕中间
2023-04-19 14:29 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-19

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【测试步骤】

1、打开微信

2、点击输入框

【预期结果】

2、”粘贴、全屏输入等功能“显示在输入框上方

【实际结果】

2、出现的”粘贴、全屏输入等功能“显示在屏幕中间

History

#1 - 2023-04-21 15:39 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD FW王武军

#2 - 2023-04-23 17:12 - CD FW王武军

【】当前状态

1、问题调查

1）这个问题是强制微信以小窗的方式启动引起，在不使用小窗启动时，没有该问题。

2）微信界面中“粘贴”、“全屏输入”、“搜一搜”是一个微信应用内部实现的：PopupWindow,

这个popupwindow的位置，在微信内容应该是动态计算的，或者说它的位置，应该是与

状态栏高度、导航栏高度、系统本身的屏幕高度有关系。而强制小窗启动，这些值都会受到影响，

进而导致了popupwindow的高度计算存在问题。

3）虽然问题是强制小窗引起，但是这个popupwindow是

应用内部的自定义行为，在系统层面不太直观地能调整它的位置，需要微信做适配。

2、下一步策略

基于上述的分析，该票申请不解，或者需要微信协助适配小窗行为。

#3 - 2023-04-23 17:21 - CD FW王武军

- File no_xiao.png added
#4 - 2023-05-05 09:39 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW王武军 to CD FW 曹覃刚

#5 - 2023-05-05 14:54 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

Hi 永红

通过检查调用堆栈，"粘贴"窗口的显示位置坐标，是微信内部自己计算并设置的

需要三方应用自身适配，无法在系统侧修改，请确认

--------------------------------

05-04 20:27:00.327  4197  4197 D cqg0505 : PopupWindow showAtLocation

05-04 20:27:00.327  4197  4197 D cqg0505 : java.lang.Throwable: cqg0505

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.widget.PopupWindow.showAtLocation(PopupWindow.java:1325)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.widget.PopupWindow.showAtLocation(PopupWindow.java:1308)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at xr3.g.a(Unknown Source:979)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at xr3.j.q(Unknown Source:2)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at xr3.j.r(Unknown Source:160)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at xr3.n.onLongClick(Unknown Source:133)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.view.View.performLongClickInternal(View.java:7521)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.view.View.performLongClick(View.java:7479)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.widget.TextView.performLongClick(TextView.java:12636)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at com.tencent.mm.ui.widget.MMEditText.performLongClick(Unknown Source:0)  //微信内部点击时，自己传入的坐标

参数

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.view.View.performLongClick(View.java:7497)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.view.View$CheckForLongPress.run(View.java:28639)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.os.Handler.handleCallback(Handler.java:938)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.os.Handler.dispatchMessage(Handler.java:99)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.os.Looper.loopOnce(Looper.java:201)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.os.Looper.loop(Looper.java:288)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at java.lang.reflect.Method.invoke(Native Method)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-04 20:27:00.327  4197  4197 D cqg0505 :     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-04 20:27:00.327  4197  4197 D cqg0505 : PopupWindow showAtLocation x = 14 | y = 1040 | gravity = 0   //微信内部点击时，自己传入的坐标参数

--------------------------------

注:目前显示的位置虽然有偏移，但是个人觉得是可以接受的程度

#6 - 2023-05-16 15:22 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

5.16

三方应用问题，不做处理

#7 - 2023-05-16 15:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
#8 - 2023-05-16 15:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230419-142826.jpg 135 KB 2023-04-19 CD TEST-方永红

no_xiao.png 36.2 KB 2023-04-23 CD FW王武军
